---
updatedAt: 2025-09-24T00:03:57.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# Create a refund request

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/payment-refunds": {
      "post": {
        "summary": "Create a refund request",
        "description": "",
        "operationId": "create-a-refund-request",
        "parameters": [
          {
            "name": "Client-Id",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "payment_account_transaction_id",
                  "amount"
                ],
                "properties": {
                  "payment_account_transaction_id": {
                    "type": "string",
                    "description": "The id of the payment account transaction you want to refund"
                  },
                  "amount": {
                    "type": "number",
                    "description": "The amount you wish to refund (positive and up to 2 decimals). You can partially refund the payment transaction.",
                    "format": "double"
                  },
                  "client_reference": {
                    "type": "string",
                    "description": "An optional reference to link this refund request to your system (100 characters max.)"
                  },
                  "description": {
                    "type": "string",
                    "description": "This description is only for an internal purpose and will allow to have information on the Dashboard (140 characters max.)"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\": \"dc8a6a9998b243fead924a6ea335718a\",\n  \"payment_account_transaction_id\": \"9f7052e8-96cd-45da-8e5c-08c82ef83164\",\n  \"amount\": 10.0,\n  \"currency\": \"EUR\",\n  \"status\": \"created\",\n  \"client_reference\": \"client-reference\",\n  \"description\": \"A classical product refund\",\n  \"created_at\": \"2023-04-05T13:27:10Z\",\n  \"updated_at\": \"2023-04-05T13:27:10Z\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "dc8a6a9998b243fead924a6ea335718a"
                    },
                    "payment_account_transaction_id": {
                      "type": "string",
                      "example": "9f7052e8-96cd-45da-8e5c-08c82ef83164"
                    },
                    "amount": {
                      "type": "integer",
                      "example": 10,
                      "default": 0
                    },
                    "currency": {
                      "type": "string",
                      "example": "EUR"
                    },
                    "status": {
                      "type": "string",
                      "example": "created"
                    },
                    "client_reference": {
                      "type": "string",
                      "example": "client-reference"
                    },
                    "description": {
                      "type": "string",
                      "example": "A classical product refund"
                    },
                    "created_at": {
                      "type": "string",
                      "example": "2023-04-05T13:27:10Z"
                    },
                    "updated_at": {
                      "type": "string",
                      "example": "2023-04-05T13:27:10Z"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errors\": [\n        {\n            \"code\": \"payment_refund.amount_positive\",\n            \"property\": \"amount\",\n            \"message\": \"Refund amount must be greater than 0\"\n        }\n    ]\n}\n}"
                  },
                  "Required fields": {
                    "value": "{\n    \"errors\": [\n        {\n            \"code\": \"payment_refund.transaction_id_required\",\n            \"property\": \"payment_account_transaction_id\",\n            \"message\": \"A correct transaction ID (36 characters) is required\"\n        }\n    ]\n}"
                  },
                  "Invalid content": {
                    "value": "{\n    \"documentation_url\": \"https://docs.bridgeapi.io/\",\n    \"message\": \"Invalid body content\",\n    \"type\": \"invalid_request\"\n}"
                  },
                  "Exceed limit": {
                    "value": "{\n    \"errors\": [\n        {\n            \"code\": \"payment_refund.amount_exceed_limit\",\n            \"message\": \"The sum of refunds can not exceed 3.0 for this transaction.\"\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "title": "Required fields",
                      "type": "object",
                      "properties": {
                        "errors": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "string",
                                "example": "payment_refund.transaction_id_required"
                              },
                              "property": {
                                "type": "string",
                                "example": "payment_account_transaction_id"
                              },
                              "message": {
                                "type": "string",
                                "example": "A correct transaction ID (36 characters) is required"
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "title": "Invalid content",
                      "type": "object",
                      "properties": {
                        "documentation_url": {
                          "type": "string",
                          "example": "https://docs.bridgeapi.io/"
                        },
                        "message": {
                          "type": "string",
                          "example": "Invalid body content"
                        },
                        "type": {
                          "type": "string",
                          "example": "invalid_request"
                        }
                      }
                    },
                    {
                      "title": "Exceed limit",
                      "type": "object",
                      "properties": {
                        "errors": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "string",
                                "example": "payment_refund.amount_exceed_limit"
                              },
                              "message": {
                                "type": "string",
                                "example": "The sum of refunds can not exceed 3.0 for this transaction."
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/payment-refunds' \\\n\t-X POST \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n  -H 'Content-Type: application/json' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n  -d $'{\n  \"payment_account_transaction_id\": \"9f7052e8-96cd-45da-8e5c-08c82ef83164\",\n  \"amount\": 2.0,\n  \"client_reference\": \"test\",\n  \"description\": \"My product refund description\"\n}"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```